$(document).ready(function(){
  function myGame(category,name, desc, gameInfo, steps, iconsrc,id){
    this.category=category;
    this.name=name;
    this.desc=desc;
    this.gameInfo=gameInfo;
    this.steps=steps;
    // this.stepicons=stepicons;
    this.iconsrc=iconsrc;
    this.id=id;
    this.printName=function(){
      return "moeto ime e "+this.name+" :)";
    }
    this.traverseSteps = function(){
      $.each( this.steps, function( i, item ){
        $.each(item, function(key, value) {
          console.log(key + ": " + value);
          alert(key + ": " + value);
        });
      });
    },
    //za da otvora nova strana za posebna igra

    this.openGameInfo = function(){
      window.open("separate.html?id=" + `${this.id}`, "_blank");
    },
    this.returnId = function(){
      return `${this.id}`;
    },
    // ova da se smeni so karticki od main box
    this.printCard = function(){
      $("#card_box").last().append(
          `
          <div class="main-box-card-wrap ${this.category}">
    				<div class="main-box-card-img p-2">
    					<img src='${this.iconsrc}' class="img-responsive p-1">
    				</div>
    				<div class="main-box-card">
    					<h4>${this.name}</h4>
    					<h4 class="card-category smaller">${this.category}</h4>
    					<h6 class="card-game-info"><span class="time-frame"><i class="fa fa-clock-o fa-2x" aria-hidden="true"></i>${this.gameInfo[0].timeframe}</span> <span class="n0-players"><i class="fa fa-male fa-2x" aria-hidden="true"></i>${this.gameInfo[1].groupsize}</span></h6>
    				</div>
    			</div>
          `);
        },
    this.printSelected = function(){
      $("#stuff_picks_index").last().append(
          `
          <div class="col-md-3">
				 <div class="card" >
					<div class="card-img-top">
						<img class="img-responsive" src='${this.iconsrc}'>
					</div>
					<div class="card-body">
						<h4 class="card-category"><span class="glyphicon glyphicon-align-justify" aria-hidden="true"></span>${this.category}</h4>
						<h4 class="card-title">${this.name}</h4>
						<div class="card-desc">
							<p class="card-desc">${this.desc}</p>
							<p class="card-desc-fadeout"></p>
						</div>
					</div>
					 <button onclick="openGame('${this.id}')" class="btn-readmore">READ MORE</button>
				</div>
			</div>
          `)},

    this.printStep = function(){
      for(let i=0;i<steps.length;i++){
        $("#list").last().append(
          `<div class='row ptx-3'>
              <div class="col-md-offset-2 col-md-6">
                <h4>${this.steps[i].step_n0}</h4>
                <h5>${this.steps[i].step_text}</h5>
              </div>
              <div class="col-md-4 px-3">
                <img class='step-icon' src="${this.steps[i].step_icon_src}">
              </div>
            </div>
            <hr>
          `);
      }
        $("#list").append(
          `<div id="disqus_thread"></div>
        <script>

        /**
        *  RECOMMENDED CONFIGURATION VARIABLES: EDIT AND UNCOMMENT THE SECTION BELOW TO INSERT DYNAMIC VALUES FROM YOUR PLATFORM OR CMS.
        *  LEARN WHY DEFINING THESE VARIABLES IS IMPORTANT: https://disqus.com/admin/universalcode/#configuration-variables*/
        /*
        var disqus_config = function () {
        this.page.url = PAGE_URL;  // Replace PAGE_URL with your page's canonical URL variable
        this.page.identifier = PAGE_IDENTIFIER; // Replace PAGE_IDENTIFIER with your page's unique identifier variable
        };
        */
        (function() { // DON'T EDIT BELOW THIS LINE
        var d = document, s = d.createElement('script');
        s.src = 'https://http-bkumpa-eu5-org-myfiles-1.disqus.com/embed.js';
        s.setAttribute('data-timestamp', +new Date());
        (d.head || d.body).appendChild(s);
        })();
        </script>
        <noscript>Please enable JavaScript to view the <a href="https://disqus.com/?ref_noscript">comments powered by Disqus.</a></noscript> `
        );
    },
    this.printSelected2 = function(){
      $("#stuff_picks").last().append(
          `
          <div class="col-md-3">
				 <div class="card" >
					<div class="card-img-top">
						<img class="img-responsive" src='${this.iconsrc}'>
					</div>
					<div class="card-body">
						<h4 class="card-category"><span class="glyphicon glyphicon-align-justify" aria-hidden="true"></span>${this.category}</h4>
						<h4 class="card-title">${this.name}</h4>
						<div class="card-desc">
							<p class="card-desc">${this.desc}</p>
							<p class="card-desc-fadeout"></p>
						</div>
					</div>
					 <button onclick="openGame('${this.id}')" class="btn-readmore">READ MORE</button>
				</div>
			</div>
          `)},

    this.printPage = function() {
      $("#list").last().append(
        `
          <div class="container px-3">
          <div class="row">
            <div class="col-md-3">
              <div class="game-icon">
                <img class="img-responsive" src="${this.iconsrc}">
              </div>
            </div>
            <div class="col-md-7">
              <h4 class="game-category"><span class="glyphicon glyphicon-align-justify" aria-hidden="true"></span>${this.category}</h4>
              <h4 class="game-title">${this.name}</h4>
              <p>${this.desc}</p>
            </div>
            <div class="col-md-2">
              <div class="share">
                <img class="img-responsive" src='./images/share-icon.png'>
                <h5>SHARE</h5>
              </div>
            </div>
          </row>
        </div>
        <div class="row game-info">
            <div class="col-md-3">
              <div class="game-info-details" id="game-duration">
                <div class="game-info-details-box1">
                <i class="fa fa-clock-o fa-2x" aria-hidden="true"></i>
              </div>
              <div class="game-info-details-box">
                <h5 class="bold">TIME FRAME</h5>
                <h5 id='game-time-frame'>${this.gameInfo[0].timeframe}</h5>
                </div>
              </div>
            </div>
            <div class="col-md-3">
              <div class="game-info-details" id="game-duration">
                <div class="game-info-details-box1">
                <i class="fa fa-male fa-2x" aria-hidden="true"></i>
              </div>
              <div class="game-info-details-box">
                <h5 class="bold">GROUP SIZE</h5>
                <h5 id='game-time-frame'>${this.gameInfo[1].groupsize}</h5>
                </div>
              </div>
            </div>
            <div class="col-md-3">
              <div class="game-info-details" id="game-duration">
              <div class="game-info-details-box1">
                <i class="fa  fa-medkit fa-2x" aria-hidden="true"></i>
              </div>
              <div class="game-info-details-box">
                <h5 class="bold">FACILITATION LVL</h5>
                <h5 id='game-time-frame'>${this.gameInfo[2].faslvl}</h5>
                </div>
              </div>
            </div>
            <div class="col-md-3">
              <div class="game-info-details" id="game-duration">
                <div class="game-info-details-box1">
                  <i class="fa  fa-book fa-2x" aria-hidden="true"></i>
                </div>
                <div class="game-info-details-box">
                  <h5 class="bold">MATERIALS</h5>
                  <h5 id='game-time-frame'>${this.gameInfo[3].materials}</h5>
                </div>
              </div>
            </div>
          </div>
        </div>
      `);
      }
  }
  var e1 = new myGame('energy','Hello Kitty', "Едноставна и кратка групна игра, целта е да успеете некого да насмеете. Учесниците се делат во две групи, 'мачиња' и 'кучиња'. Кучињата се обидуваат да измамат насмевка од мачињата, или уште подобро, гласно смеење. Последниот што ќе остане е победник!",
  [
    {"timeframe":'5-30'},
    {"groupsize":'2-40+'},
    {"faslvl":'Почетно'},
    {"materials":'/'},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text":`Со селотејп направете линија и поделете го просторот на два дела.<br><br> Поделете ја групата на две спротивни страни. Едната страна се мачиња, другата кучиња.`,
      "step_icon_src":'',
    },
  { "step_n0":'Чекор 2',
    "step_text":`На мачињата им е забрането да се насмеат. Кучињата треба да им кажат здраво на мачињата на секаков можен начин, со цел да ги насмеат. Кучињата не смеат да ја поминуваат линијата. `,
    "step_icon_src":'',
  },
  { "step_n0":'Чекор 3',
      "step_text":`Кога едно маче ќе се насмее, автоматски станува куче и преминува на другата страна од просторот.<br><br>Продолжете додека не остане последното маче, кое е победник.
`,
      "step_icon_src":'',
  }],
  'images/energy/1.png',1,
  );
  var e2 = new myGame('energy','Dance, Dance, Dance', "Во овој краток energizer, учесниците танцуваат во помали тимови. Периодично, музиката се менува а лидерот на танцот заедно со неа. Идејата да се создаде забавна енергија во групата.",
  [
    {"timeframe":'5-30'},
    {"groupsize":'10-40+'},
    {"faslvl":'Почетно'},
    {"materials":'/'},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text":`Oрганизирајте ја групата во тимови од 3-5 луѓе.`,
      "step_icon_src":'',
    },
  { "step_n0":'Чекор 2',
    "step_text":`На почетокот објаснете дека во секоја група, едно лице започнува да танцува кога музиката стартува. Останатите од неговата група, го следат танцот. Кога песната ќе се смени, друг член од тимот станува новиот лидер.<br><br>Менувајте ја песната на секои 30 секунди. Пуштете онолку песни колку што е доволно за секој член од групата да биде лидер барем еднаш.
`,
    "step_icon_src":'',
  }],
  'images/energy/2.png',2,
  );
  var e3 = new myGame('energy','Bang', "Bang е групна игра која се игра во круг, каде што учесниците мора да реагираат брзо или во спротивно ќе се соочат со елиминација. Едно лице стои во средината на кругот како шериф, посочувајќи им на други игра.",
  [
    {"timeframe":'5-30'},
    {"groupsize":'10-40+'},
    {"faslvl":'Почетно'},
    {"materials":'/'},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text":`Групата стои во круг. Едно лице стои во средината како шериф.`,
      "step_icon_src":'',
    },
  { "step_n0":'Чекор 2',
    "step_text":`Шерифот се врти брзо наоколу, потоа поентира кон некого од групата и извикува “bang!”<br><br>Поентираниот член се крие што е можно побрзо. Двајцата кои стојат до поентираниот, мора веднаш да поентираат еден кон друг, извикувајќи си ги имињата.<br><br>Личноста која последна ќе го извика името на останатиот, е надвор од игра.<br><br>Откако ќе останат само двајца, стојат на средина од собата еден до друг, со свртени грбови. Шерифот кажува броеви по случаен избор. На секој непарен број, учесниците прават чекор подалеку еден од друг. На првиот парен број се подготвуваат, се вртат набрзина и прават  “bang!” еден кон друг. Најбрзиот е победник.
`,
    "step_icon_src":'',
  }],
  'images/energy/3.png',3,
  );
  var e4 = new myGame('energy','I love you honey ', "Едноставна и лесна група игра, со цел да се насмеете еден од друг. Оваа игра генерира смеа, и им помага на групите да градат доверба и отвореност преку игра.",
  [
    {"timeframe":'5-30'},
    {"groupsize":'10-40'},
    {"faslvl":'Почетно'},
    {"materials":'/'},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text":`Групата седи или стои во круг. Во средината има една личност.`,
      "step_icon_src":'',
    },
  { "step_n0":'Чекор 2',
    "step_text":`Личноста од средината, оди до една личност од кругот и и вели: "Те сакам, нема да се насмееш?"<br>Избраната личност мора да одговори: "Те сакам, но едноставно не можам да се насмеам."<br><br>Aко избраната личност се насмее,  си ги заменуваат местата со личноста од средината. Повторете го циклусот 6-9 пати, се додека смеата во групата не го достигне својот врв.`,
    "step_icon_src":'',
  }],
  'images/energy/4.png',4,
  );
  var e5 = new myGame('innovation','Human Machine ', "Оваа група им овозможува на учесниците да се двжат и да работат заедно на начин кој генерира енергија и соработка. Еден по еден, членовите од групата стануваат дел од машината, секој од нив прави различно движење и звук, додека целата група не започне да работи заедно како едно.",
  [
    {"timeframe":'5-30'},
    {"groupsize":'10-40'},
    {"faslvl":'Почетно'},
    {"materials":'/'},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text":`Застанете во голем круг. Објаснете и на групата дека нивна задача е да изградат човечка машина. Секој поединец ќе стане еден подвижен дел од машината.`,
      "step_icon_src":'',
    },
  { "step_n0":'Чекор 2',
    "step_text":`Една личност влегува во кругот и започнува да прави повторувачки звук по избор, додека мавта со едната рака. По 5 секунди, друга личност влегува во круг и се поврзува со првата личност, исто така правејќи свој звук и движење.<br><br>Продолжете со изградба на машината, додека не се поврзат сите, и секој не направи свое движење и звук.`,
    "step_icon_src":'',
  }],
  'images/energy/5.png',5,
  );
  var e6 = new myGame('team','Love your neighbour', "Во оваа забавна и активна групна игра, учесниците седат во круг, со едно лице во средината. Лицето во средината прашува различни прашања кои ги принудуваат луѓето брзо да станат и да трчаат  за да најдат друго место. Едно лице секогаш останува во средината без седиште. Играта е брза и многу физичка и брзо генерира смеа. Ефикасна е за зајакнување на енергијата.",
  [
    {"timeframe":'5-30'},
    {"groupsize":'10-40'},
    {"faslvl":'Почетно'},
    {"materials":'/'},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text":`Сите седат во круг на столици. Треба да има доволно столици за целата група, минус една. За почеток, едно лице стои во средината. Тој или таа го прашува некој кој седи во кругот: "Дали го сакаш својот сосед?".`,
      "step_icon_src":'',
    },
  { "step_n0":'Чекор 2',
    "step_text":`Лицето може да одговори со да или не.<br><br>Ако  одговори ДА, значи дека двeтe седишта на лева и десна страна мора да си ги сменат местата. Целта на лицето во средината е секогаш да добие место. Кога двајцата ќе се префрлат, тој се обидува брзо да седне на една од нивните столици. Едно лице секогаш завршува без седиште.<br><br>Ако одговори НЕ, мора да го продолжи својот одговор со "Но, јас ги сакам луѓето ..." и додадете карактеристика што ќе важи за членовите на групата. На пример, "Не, но ги сакам луѓето со долга коса" или "Не, но ги сакам луѓето што зборуваат француски". Тогаш секој со таа карактеристика мора да стане и да најде ново седиште.<br><br>Секогаш некој останува во средината и процесот се повторува.`,
    "step_icon_src":'',
  }],
  'images/energy/6.png',6,
  );
  var g1 = new myGame('action','Dotmocracy', 'Едноставен метод за групна приоритизација или донесување одлуки. Ова не е активност сама по себе, туку метод што треба да се користи во процесите каде што се јавува приоритет или одлучувањето е цел. Со овој групен методот за брзо се гледа кои опции се најпопуларни или релевантни. Опциите или идеите се напишани на стикери или залепени на ѕид за цела група да ги види. Секое лице гласа за можностите за кои смета дека се најиздржани, а таа информација се користи за да се донесе  одлука.',
  [
    {"timeframe":'5-30'},
    {"groupsize":'2-40'},
    {"faslvl":'Begginer'},
    {"materials":'Стикери, Пенкала/маркери во боја'},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text": `Овој метод често се користи кога се генерира збир на можни идеи и треба да се проценат или да се даде приоритет. <br><br> Ставете ги сите идеи / опции на ѕид, една идеја на еден стикер. Отстранете ги сличните идеи или дупликати. Колку помалку опции, толку појасното и полесно ќе биде гласањето.<br><br>Проверете дали сите опции на ѕидот се јасни за сите членови во групата.`,
      "step_icon_src":'',
    },
  { "step_n0":'Чекор 2',
    "step_text":`Групата сега ќе гласа за опциите кои тие сметаат дека се најдобри со користење на точки, направени едноставно со маркер на стикерите. Секој член на групата добива 5 точки за да гласа (или помалку ако има помалку опции).<br><br>Овие точки може да бидат дистрибуирани на било кој начин: една точка за 5 различни идеи, сите пет точки на една идеја, итн.`,
    "step_icon_src":'',
  },
  { "step_n0":'Чекор 3',
      "step_text":`Откако сите членови ќе ги дистрибуираат своите точки, групата може да продолжи на различни начини:<br><br><ul><li>●	Едноставно избирање на опцијата која добила најмногу точки.</li><li>●	Спроведување на отворен дијалог за приоритизација. Истражување кои идеи добиле повеќе точки, кои добиле помалку, кои се следните чекори.</li><li>●	Организирајте ги идеите на линија од најголема до најмала точка, потоа разговарајте за нив.</li></ul>`,
      "step_icon_src":'',
  }
  ],
  'images/action/1.png',7,
  );
  var g2 = new myGame('action','Team Parking Lot', 'Ова е класичен деловен инструмент кој се користи за одржување средби и работилници фокусирани на патoт. За време на дискусиите, често ќе се појават прашања кои се важни, но не се целосно релевантни за фокусот во моментот. Овие прашања се "паркирани" на флипчарт, за да бидат адресирани и одговорени подоцна. Оваа практика помага да се осигурате дека важни прашања не се изгубени и дека групата може да остане фокусирана на најрелевантните работи.',
  [
    {"timeframe":'5-30'},
    {"groupsize":'3-40'},
    {"faslvl":'Begginer'},
    {"materials":'Материјали, Хартија, Флипчарт, Селотејп, Пенкала /маркери во боја'},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text": `На почетокот на состанокот или работилницата, на групата им објаснуваме дека ќе користиме "паркинг" за поефикасно да ја завршиме работата.<br><br>Напишете големо "П" на врвот на флипчарт хартијата и залепете го на ѕид. Објаснете дека секогаш кога ќе се покрене некоја поента или се поставуваат прашања кои не се директно поврзани со субјектот или сесијата, ќе напишете белешка на хартија и ќе ја залепите на флипчартот<br><br>Учесниците исто така имаат слобода да додадат ливче на ѕидот во секое време.`,
      "step_icon_src":'',
    },
  { "step_n0":'Чекор 2',
    "step_text":'Користете го паркингот во текот на средбата / работилницата.',
    "step_icon_src":'./images/icons/6.png',
  },
  { "step_n0":'Чекор 3',
      "step_text":`Со завршувањето на состанокот / работилницата, осигурајте се дека има време да ги разгледате прашањата на паркингот, со целата група.<br><br>`,
      "step_icon_src":'',
  }
  ],
  'images/action/2.png',8,
  );
  var g3 = new myGame('action','IDOARRT Meeting Design', 'IDOARRT е едноставна алатка која ќе ви помогне да водите ефикасен состанок или групен процес со поставување јасна цел, структура и цели на самиот почеток. Таа има за цел да им овозможи на сите учесници да го разберат секој аспект од состанокот или процесот, со што се создава сигурност со заедничка основа, како за почеток. Акронимот се залага за намера, посакуван исход, агенда, правила, улоги и одговорности и време.',
  [
    {"timeframe":'5-30'},
    {"groupsize":'2-40'},
    {"faslvl":'Begginer'},
    {"materials":'Табла за пишување, Флипчарт'},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text": `Пред состанокот / процесот, подгответе флипчарт / слајд, во кои се наведени сите точки на IDOARRT. Види подолу:<br><br>Намера - Која е намерата или целта на состанокот? Со други зборови, зошто го имаме?<br><br>Посакуван исход (и) - Кои конкретни резултати треба да се постигнат до крајот на состанокот?<br><br>Агенда - Кои активности ќе поминат низ групата, во кој редослед за да се придвижите кон посакуваниот исход?<br><br>Улоги - Кои улоги или одговорности треба да бидат поставени за да се одржи средбата без проблеми? Кој фасилитира, а кој учествува? Кој документира, а кој го следи времето? Што се очекува од учесниците?<br><br>Правила - Кои упатства ќе бидат поставени за време на состанокот? Тие би можеле да се однесуваат на договорените групни норми. Тие, исто така, може да се однесуваат на употреба на лаптопи / мобилни телефони или практични правила поврзани со просторот. Нека учесниците додадат правила за да чувствуваат дека и тие имаат сопственост над нив.<br><br>Време - Кое е очекуваното време за средбата, вклучувајќи ги и паузите, и во кое време ќе заврши состанокот?<br><br><i>Белешка до фасилитаторот<br>Ако имате група поголема од 10, можете да ги поделите на помали подгрупи, да ја стартувате вежбата и да дискутирате за вежбата како целина на крајот.</i>`,
      "step_icon_src":'./images/icons/5.png',
    },
  { "step_n0":'Чекор 2',
    "step_text":`На почетокот на состанокот, воведете го IDOARRT, поминувајќи ја точка по точка. Поканете ги учесниците да поставуваат прашања или да даваат предлози за промени. Откако групата е задоволна од планот, продолжете со остатокот од состанокот.`,
    "step_icon_src":'./images/icons/6.png',
  },
  ],
  'images/action/3.png',9,
  );
  var g4 = new myGame('action','Project Mid-way Evaluation', 'Овој метод е корисен за оценување на проект во тек, за да се види дали треба да се направат корекции за тимот да работи поефективно заедно. Обезбедува рамка за дискусија. Учесниците се фокусираат на работите што помагаат или го попречуваат тимскиот процес и создаваат чекори за подобрување.',
  [
    {"timeframe":'30-60'},
    {"groupsize":'2-10'},
    {"faslvl":'Sredno'},
    {"materials":'Стикери, Пенкала/маркери, Флипчарт'},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text": `Соберете го тимот околу флипчарт или табла. Дајте им на сите пенкала и стикери.<br><br><i>Белешка до фасилитаторот<br>Ако имате група поголема од 10, можете да ги поделите на помали подгрупи, да ја стартувате вежбата и да дискутирате за вежбата како целина на крајот.</i>`,
      "step_icon_src":'./images/icons/5.png',
    },
  { "step_n0":'Чекор 2',
    "step_text":`Нацртајте една од следните слики на флипчарт / табла. Сите тие се слични, но ќе даваат малку поинакви резултати:<br><br>Едрото ги претставува работите кои го водат проектот напред и сидростите работи што го држат назад.<ul><li>●	Брод што плови и сидро. Едрото ги претставува работите кои го водат проектот напред, сидрото работи што го држат назад.</li><li>●	Волан со пет делови наречен: стоп, старт, продолжи, повеќе, помалку.</li><li>●	Три колони наречени: лут (со луто лице); тажен (тажно лице); задоволен (среќно лице).</li></ul>`,
    "step_icon_src":'',
  },
  { "step_n0":'Чекор 3',
    "step_text":`Побарајте од членовите на тимот да додадат стикери на флипчартот со зборови за секоја категорија, поединечно и во тишина. Дајте им време колку што е потребно, но 5-10 минути треба да биде доволно.`,
    "step_icon_src":'./images/icons/12.png',
  },
  { "step_n0":'Чекор 4',
    "step_text":`Тие сега треба да ги групираат белешките во секоја категорија. Идентификување на дупликати, обрасци и преклопувања.`,
    "step_icon_src":'',
  },
  { "step_n0":'Чекор 5',
    "step_text":`Откако ќе се организираат белешките, тимот може да разговара за она што се појавило. Дали нешто изненадува? Кои се заедничките карактеристики? Што видовме претходно? Како се чувствуваме во врска со ова? Дискутирајте околу 15-20 минути. Обидете се да се фокусирате на дискусијата. Осигурајте се дека членовите на тимот не се лизгаат во генерализирање или се обвинуваат меѓусебно. Целта е да се има ефикасна, ефективна дискусија за процесот до сега.`,
    "step_icon_src":'./images/icons/3.png',
  },
  { "step_n0":'Чекор 6',
    "step_text":`Откако дискусијата ќе заврши, тимот треба да дефинира некои активности. Осигурајте се дека тие се запишани, споделени помеѓу тимот и релевантните засегнати страни, и им се дава рок за завршување.`,
    "step_icon_src":'./images/icons/10.png',
  },
  ],
  'images/action/4.png',10,
  );
  var g5 = new myGame('action','3 Action Steps', 'Ова е мала стратешка сесија за планирање која им помага на групи и поединци да преземат акција кон посакуваните промени. Често се користи на крајот од работилницата или програмата. Групата дискутира и се согласува со визија, а потоа создава некои чекори за дејствување кои ќе ги водат кон таа визија. Обемот на предизвикот исто така е дефиниран, преку дискусија за корисни и штетни фактори кои влијаат врз групата.',
  [
    {"timeframe":'120-240'},
    {"groupsize":'2-10'},
    {"faslvl":'Средно'},
    {"materials":'Пенкала/маркери во боја, А3 формат хартија'},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text": `Започнете: <i>Затворете ги очите и замислете дека сте 6 месеци од сега. Замислете дека сте постигнале се што сте поставиле како цел. Размислете за она што сте го направиле во текот на шесте месеци. Вашата работа. Вашите односи со останатите. Што ве прави среќни.</i><br>Дајте им на учениците пенкала и хартија. Тие сега ќе ја креираат својата визија за иднината на десната страна на хартијата. Ограничете ги на 4 или 5 различни теми кои ја сочинуваат оваа визија, користејќи неколку зборови, но колку што сакаат визуелни елементи.<br><br>Ако тие се во групи, тие треба да разговараат за нивните визии и да дефинираат заедничка група визија.`,
      "step_icon_src":'./images/icons/6.png',
    },
  { "step_n0":'Чекор 2',
    "step_text":'Побарајте од нив да напишат најмалку 5 корисни фактори на врвот на страната, кои ќе ги поддржат за да ја реализираат својата визија. Тоа може да бидат луѓе, можности, технологии, ситуации, итн.',
    "step_icon_src":'./images/icons/5.png',
  },
  { "step_n0":'Чекор 3',
    "step_text":'Во дното на страницата побарајте од нив да напишат најмалку 5 придружни фактори кои ќе ги поддржат за да ја реализираат својата визија. Повторно, ова може да бидат луѓе, можности, технологии, ситуации, итн.',
    "step_icon_src":'./images/icons/5.png',
  },
  { "step_n0":'Чекор 4',
    "step_text":`Сега групата или поединците ќе дискутираат и ќе ги дефинираат чекорите за акција. Побарајте од нив да нацртаат три кутии од левата страна на хартијата до визијата на десната страна. Ова ќе бидат трите големи чекори што треба да ги преземат за да се постигне нивната визија.<br><br>Ако работат како поединци, тогаш ги ставате во парови за да разговараат за нивните чекори. Ако веќе се во групи, тогаш може да разговараат за чекорите што ги прават.<br><br>Тие пишуваат чекор во секоја кутија, концизно, но со толку многу детали што им се потребни за да им биде јасно на самите себе и на другите.`,
    "step_icon_src":'',
  },
  { "step_n0":'Чекор 5',
    "step_text":`За да ја затворите сесијата, отидете околу групата, барајќи од сите да ја искажат својата визија и еден (или сите три) чекори за акција. Прашајте го секое лице: Која е првото нешто што ќе го направите кога ќе се вратите во канцеларија.`,
    "step_icon_src":'./images/icons/6.png',
  },
  ],
  'images/action/5.png',11,
  );
  var g6 = new myGame('action','Project Point of Departure', 'Ова е метод за поединци и тимови со цел да ја дефинираат структурата, правецот и првите чекори на проектот. Поединецот или тимот работи преку множество прашања и ги документира одговорите во видлив дигитален формат. Ова може да биде "жив" документ кој се развива заедно со проектот.',
  [
    {"timeframe":'30-120'},
    {"groupsize":'2-10'},
    {"faslvl":'Почетно'},
    {"materials":'Пенкала/маркери во боја, А3 формат хартија'},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text": `Објаснете дека ова ќе биде кратка работилница со цел да се создаде јасна структура и насока за проектот пред вас. Ќе биде брзо и фокусирано. Ќе има девет прашања кои ќе ги дискутиратее како група, ќе ги фатите одговорите на хартија, а потоа ќе ги дигитализирате во документ за споделување.<br><br>За да ја задржите енергијата и брзината, може да биде корисно да стоите околу таблата / флипчарт, наместо да седите на маса.`,
      "step_icon_src":'./images/icons/6.png',
    },
  { "step_n0":'Чекор 2',
    "step_text":'Создадете паркинг на ѕидот / табелата. Објаснете дека ова е за да ве поддржи со фокус. Ќе ги "паркирате" сите точки или прашања кои не придонесуваат за одговарање на овие прашања. Тие можат да се дискутираат по сесијата.',
    "step_icon_src":'./images/icons/5.png',
  },
  { "step_n0":'Чекор 3',
    "step_text": `Напишете ги следните прашања.<br><br><b>Цел: </b>Која е главната цел на проектот? (изразете го ова во една реченица)<br><br><b>Посакуван исход: </b>Кои конкретни резултати треба да се постигнат до крајот на проектот? (цел за 2-4 примери)<br><br><b>Целна група и вредност: </b>За кого го правите проектот? И каква вредност им дава на тие луѓе? (3 цели)<br><br><b>Улоги: </b>Кој е вклучен и која е нивната одговорност? <br><br><b>Пресвртници и буџет: </b>Што треба да се случи до кога? Колкав е буџетот? (поделен на точки во пошироко ниво)<br><br><b>Како: </b>Како ќе работи тимот заедно, како ќе комуницирате, делење задачи, соработка, донесување одлуки  итн. (Обидете се да дефинирате околу 5 упатства со кратки описи за секој)<br><br><b>Успех / Фијаско Критериуми: </b>Како изгледа успехот? Како изгледа неуспехот? (цел за 4-5 точки за секојa од нив)<br><br><b>Конекции: </b>кои проекти се поврзани со овој? Дали постојат други документи или извори на податоци што треба да ги земете предвид? (наведете ги врските со линкови кои водат до клучните документи)`,
    "step_icon_src":'./images/icons/5.png',
  },
  { "step_n0":'Чекор 4',
    "step_text":`Сега групата или поединците ќе дискутираат и ќе ги дефинираат чекорите за акција. Побарајте од нив да нацртаат три кутии од левата страна на хартијата до визијата на десната страна. Ова ќе бидат трите големи чекори што треба да ги преземат за да се постигне нивната визија.<br><br>Ако работат како поединци, тогаш ги ставате во парови за да разговараат за нивните чекори. Ако веќе се во групи, тогаш може да разговараат за чекорите што ги прават.<br><br>Тие пишуваат чекор во секоја кутија, концизно, но со толку многу детали што им се потребни за да им биде јасно на самите себе и на другите.`,
    "step_icon_src":'',
  },
  { "step_n0":'Чекор 5',
    "step_text":`Кога секое прашање е одговорено и документирано, се одлучува кој ќе ја преземе одговорноста да го состави сето ова во дигитален документ што треба да се сподели со тимот. Пред да се затвори сесијата лидерот има можност да ги разјасни сите точки кои треба да се разјаснат.`,
    "step_icon_src":'./images/icons/6.png',
  },
  ],
  'images/action/6.png',12,
  );
  var t1 = new myGame('action','Project Point of Departure', 'Ова е метод за поединци и тимови со цел да ја дефинираат структурата, правецот и првите чекори на проектот. Поединецот или тимот работи преку множество прашања и ги документира одговорите во видлив дигитален формат. Ова може да биде "жив" документ кој се развива заедно со проектот.',
  [
    {"timeframe":'30-120'},
    {"groupsize":'2-10'},
    {"faslvl":'Почетно'},
    {"materials":'Пенкала/маркери во боја, А3 формат хартија'},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text": `Објаснете дека ова ќе биде кратка работилница со цел да се создаде јасна структура и насока за проектот пред вас. Ќе биде брзо и фокусирано. Ќе има девет прашања кои ќе ги дискутиратее како група, ќе ги фатите одговорите на хартија, а потоа ќе ги дигитализирате во документ за споделување.<br><br>За да ја задржите енергијата и брзината, може да биде корисно да стоите околу таблата / флипчарт, наместо да седите на маса.`,
      "step_icon_src":'./images/icons/6.png',
    },
  { "step_n0":'Чекор 2',
    "step_text":'Создадете паркинг на ѕидот / табелата. Објаснете дека ова е за да ве поддржи со фокус. Ќе ги "паркирате" сите точки или прашања кои не придонесуваат за одговарање на овие прашања. Тие можат да се дискутираат по сесијата.',
    "step_icon_src":'./images/icons/5.png',
  },
  { "step_n0":'Чекор 3',
    "step_text": `Напишете ги следните прашања.<br><br><b>Цел: </b>Која е главната цел на проектот? (изразете го ова во една реченица)<br><br><b>Посакуван исход: </b>Кои конкретни резултати треба да се постигнат до крајот на проектот? (цел за 2-4 примери)<br><br><b>Целна група и вредност: </b>За кого го правите проектот? И каква вредност им дава на тие луѓе? (3 цели)<br><br><b>Улоги: </b>Кој е вклучен и која е нивната одговорност? <br><br><b>Пресвртници и буџет: </b>Што треба да се случи до кога? Колкав е буџетот? (поделен на точки во пошироко ниво)<br><br><b>Како: </b>Како ќе работи тимот заедно, како ќе комуницирате, делење задачи, соработка, донесување одлуки  итн. (Обидете се да дефинирате околу 5 упатства со кратки описи за секој)<br><br><b>Успех / Фијаско Критериуми: </b>Како изгледа успехот? Како изгледа неуспехот? (цел за 4-5 точки за секојa од нив)<br><br><b>Конекции: </b>кои проекти се поврзани со овој? Дали постојат други документи или извори на податоци што треба да ги земете предвид? (наведете ги врските со линкови кои водат до клучните документи)`,
    "step_icon_src":'./images/icons/5.png',
  },
  { "step_n0":'Чекор 4',
    "step_text":`Сега групата или поединците ќе дискутираат и ќе ги дефинираат чекорите за акција. Побарајте од нив да нацртаат три кутии од левата страна на хартијата до визијата на десната страна. Ова ќе бидат трите големи чекори што треба да ги преземат за да се постигне нивната визија.<br><br>Ако работат како поединци, тогаш ги ставате во парови за да разговараат за нивните чекори. Ако веќе се во групи, тогаш може да разговараат за чекорите што ги прават.<br><br>Тие пишуваат чекор во секоја кутија, концизно, но со толку многу детали што им се потребни за да им биде јасно на самите себе и на другите.`,
    "step_icon_src":'',
  },
  { "step_n0":'Чекор 5',
    "step_text":`Кога секое прашање е одговорено и документирано, се одлучува кој ќе ја преземе одговорноста да го состави сето ова во дигитален документ што треба да се сподели со тимот. Пред да се затвори сесијата лидерот има можност да ги разјасни сите точки кои треба да се разјаснат.`,
    "step_icon_src":'./images/icons/6.png',
  },
  ],
  'images/team/7.png',13,
  );
  var l1 = new myGame('self-leadership','Аctive Listening', 'Оваа активност ги поддржува учесниците да размислуваат за едно прашање и да генерираат сопствени решенија користејќи едноставни принципи на активно слушање. Oва е одличен вовед во активното слушање, но исто така може да се користи со групи кои веќе се запознаени со него. Учесниците работат во групи од три и се претвораат во"субјект", слушател и набљудувач.',
  [
    {"timeframe":'60-120'},
    {"groupsize":'2-40'},
    {"faslvl":'Средно'},
    {"materials":'Пенкала/маркери во боја, Пенкала/маркери , Флипчарт'},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text": `Еден моќен начин да се истражи некое прашање или проблем е да се користи активно слушање со фокус на една личност во исто време. За оваа вежба, тоа е она што ќе го направите.<br><br>Опционално, направете листа заедно со групата "Што е добро активно слушање?" Поканете ги луѓето спонтано да понудат одговори и да ги напишете на флипчарт.`,
      "step_icon_src":'./images/icons/6.png',
    },
  { "step_n0":'Чекор 2',
    "step_text":'Користење на флипчарт, воведување на трите улоги кои поединците ќе ги преземат за време на вежбата.<br><br>Субјект:<br>Улогата на субјектот е да го испита прашањето или проблемот од неговата / нејзината лична перспектива. Лицето во оваа улога треба да има на ум: оставање на фокусот да биде на него, водејќи се од активниот слушател.<br><br>Активниот слушател:<br>Улогата на активниот слушател е да слуша со целосно присуство и фокус. Да слуша со целото тело, да биде љубопитен, да набљудува. Ова лице треба да има на ум: Прашување отворени прашања за да го поддржи  субјектот; не нуди совети; слуша со целото тело.<br><br>Набљудувачот:<br>Улогата на набљудувачот е да го набљудува процесот без да зборува. Да направи забелешки од надворешна перспектива, да ги гледа и слуша нештата што слушателот и субјектот не можат да ги забележат. Ова лице треба да има на ум: молчење низ целиот процес; забележува и фаќа белешки за она што го гледа и слуша; по завршувањето ги споделува набљудувањата со останатите. ',
    "step_icon_src":'./images/icons/4.png',
  },
  { "step_n0":'Чекор 3',
    "step_text": `Поставете го прашањето или проблемот. Прашањето или проблемот е она што секој субјект ќе го истражува и размислува. Тоа би можело да биде вообичаено прашање за целата група (на пр. "Кои се најголемите препреки за промена во мојата работа и како можам да работам за нивно надминување?") Или секој субјект може да го постави своето или неговото прашање или проблем (на пр. предизвик на работното место со кој се соочувате во моментов.) Осигурајте се дека сите учесници разбираат што треба да истражуваат и да размислуваат.`,
    "step_icon_src":'',
  },
  { "step_n0":'Чекор 4',
    "step_text":`Учесниците се организираат во групи од три. Секој учесник треба да ја има секоја улога за одреден временски период. Објаснете дека групите треба да обрнат внимание на времето и да се осигураат дека постојат три еднакви круга.`,
    "step_icon_src":'',
  },
  { "step_n0":'Чекор 5',
    "step_text":`Откако учесниците ќе завршат, ќе ја разгледаат вежбата, користејќи прашања како:<br>- Што се случило за време на вежбата? - Како се чувствуваше да бидеш набљудувач?- Како се чувствуваше да бидеш субјект?- Како се чувствуваше да бидеш активен слушател? - Што научив за себе?- Како можам да применам увид од оваа вежба?`,
    "step_icon_src":'./images/icons/10.png',
  },
  ],
  'images/leadership/1.png',14,
  );
  var l2 = new myGame('self-leadership','Stinky Fish', 'Кратка активност која се фокусира на споделување на стравови, нервози и несигурности поврзани со темата на програмата. Целта е да се создаде отвореност во рамките на групата. Смрдлива риба е метафора за "она нешто што го носите наоколу, но не сакате да зборувате за него, но колку подолго го криете, толку побрзо ќе излезе на виделина". Со ставање на (стравови и стравотии) на масата, на учесниците им станува поудобно споделувањето и идентификувањето јасна област за развој и учење. ',
  [
    {"timeframe":'60-120'},
    {"groupsize":'2-40'},
    {"faslvl":'Почетно'},
    {"materials":'А4 листови со нацртана риба '},
  ],
  [
    { "step_n0":'Чекор 1',
      "step_text": `Подeлете еден лист со риба на него, на секој учесник. Објаснете ја метафората на Stinky Fish: Тоа е метафора за страв или анксиозност; нешто што само ќе се влоши ако не го признаеш и не се справиш со тоа.`,
      "step_icon_src":'./images/icons/6.png',
    },
  { "step_n0":'Чекор 2',
    "step_text":'Дајте им на учесниците околу 5 минути за да ги запишат нивните лични смрдливи риби во контекстот на програмата.<br><br>На пример, ако контекстот е дигитална трансформација, смрдливата риба може да биде за стравови и загриженост поврзани со дигиталните промени. Ако контекстот е работилница за организациски промени, смрдливата риба ќе биде за стравови и загриженост поврзани со промените во вашата организација. Тие треба да напишат само неколку зборови или фраза во внатрешноста на телото на рибата.',
    "step_icon_src":'./images/icons/5.png',
  },
  { "step_n0":'Чекор 3',
    "step_text": `Откако сите учесници ќе напишат, групата седи во круг и секој учесник ги споделува своите риби со остатокот од групата.`,
    "step_icon_src":'./images/icons/6.png',
  },
  { "step_n0":'Чекор 4',
    "step_text":`Заокружете ја вежбата со благодарност до учесниците потсетувајќи ги дека во светот што брзо се менува, неизвесноста и грижата за иднината се сосема нормални.<br><br>Објаснете дека "ставање риба на маса" е важен прв чекор кон соочување и справување со грижите и стравовите.`,
    "step_icon_src":'',
  },
  ],
  'images/leadership/2.png',15,
  );
  var myGames = [e1,e2,e3,e4,e5,e6,g1,g2,g3,g4,g5,g6,t1,l1,l2];
  //open separate file with id
  var urlParams = new URLSearchParams(window.location.search);
  var id = urlParams.get('id');

  if(id!=null){
    var html = myGames[id].printPage();
    $("#list").append(html);
    var stepshtml = myGames[id].printStep();
    $("#list").append(stepshtml);
  }

  function openGame(id) {
      window.open("separate.html?id=" + id, "_blank");
  };
  function cardBoxInit(){
    for(var i=0;i<myGames.length;i++)
    {
      var card = myGames[i].printCard();
      $("#card_box").append(card);
    }
    CardsHover();
    cardClick();
  }

  function cardClick(){
    $( '.main-box-card-wrap' ).each(function( index ){
      $(this).click(function(){
          openGame(index);
        });
    });
  }
  function CardsHover(){
    $('.main-box-card-wrap').hover(function() {
      $(this).css("border", "solid 3px #562894");
      $(this).find('.card-game-info').css("display","block");
    },
      function() {
      $(this).css("border", "solid 1px #562894");
      $(this).find('.card-game-info').css("display","none");
    });
  }
  // ja polni pocetnat strana so karticki za igrite
  cardBoxInit();


  var selected = [];
  function drawStaffPicksCards(){
    for(let i=0; i<4;i++)
    {
      generateNumber();
      var stuffcard = selected[i].printSelected();
      var stuffcard = selected[i].printSelected2();
      $("#stuff_picks_index").append(stuffcard);
      $("#stuff_picks").append(stuffcard);
    }
    staffPicksCardsHover();
    stuffCardClick();
  }
  function generateNumber(){
    var random = Math.floor(Math.random() * myGames.length);
    let obj = selected.find(o => o.name===`${myGames[random].name}`);
    if(obj == undefined || obj == null) {
      selected.push(myGames[random]);
    }
      else generateNumber();
  }

  function staffPicksCardsHover(){
    $('.card').hover(function() {
      $(this).css("border", "solid 3px #562894");
      $(this).find('button').css("backgroundColor", "#562894");
      $(this).find('button').css("color", "white");
    },
      function() {
      $(this).css("border", "solid 1px #562894");
      $(this).find('button').css("backgroundColor", "white");
      $(this).find('button').css("color", "#562894");
    });
  }

  // ja polni pocetnata strana so 4 random izbrani karticki
  drawStaffPicksCards();

  function stuffCardClick(){
    $( '.card').each(function( index ){
      $(this).click(function(){
          openGame(selected[index].returnId());
          // alert(selected[index].returnId());
        });
    });
  }
  // var x=$('.main-box-card-wrap').length;
  // alert(x);

  $('#alln0').text($('.main-box-card-wrap').length);
  $('#n0e').text($('.energy').length);
  $('#n0a').text($('.action').length);
  $('#n0t').text($('.team').length);
  $('#n0i').text($('.innovation').length);
  $('#n0s').text($('.self-leadership').length);
  addCardClasses();
function addCardClasses(){
  $('.main-box-card-wrap').each(function(index){
    var x=$(this).find('i').parent().first().text();
    var y=$(this).find('i').parent().last().text();
    let timeframe_class='';
    if(x=='5-30' )
      timeframe_class='short';
    else if (x=='30-60') {
      timeframe_class='medium';
    }
    else if (x=='60-120') {
      timeframe_class='large';
    }
    else if (x=='120-240') {
      timeframe_class='x-large';
    }

    let groupsize_class='';
    if(y=='2-10')
      groupsize_class='s';
      else if (y=='2-40') {
        groupsize_class='s m';
      }
      else if (y=='2-40+') {
        groupsize_class='s m l';
      }
      else if (y=='10-40') {
        groupsize_class='m';
      }
      else if (y=='10-40+') {
        groupsize_class='m l';
      }
      else if (y=='40+') {
        groupsize_class='l';
      }
    $(this).addClass(timeframe_class);
    $(this).addClass(groupsize_class);
  });
}


var categories = ['energy', 'action', 'innovation', 'team', 'self-leadership'];
function setNormalBtn(who){
  who.css("backgroundColor", "white");
  who.css("color", "#562894");
}
function setClickedBtn(who){
  who.css("backgroundColor", "#562894");
  who.css("color", "white");
  // who.addClass('allclicked');
}
// function allBtn(){
//
//   $('#all-btn').on('click', function(){
//     $(this).siblings().removeClass('clicked');
//     var others = $(this).siblings();
//     others.each(function(i){
//       setNormalBtn($(this));
//     });
//     setClickedBtn($('#all-btn'));
//     $('#all-btn').addClass('allclicked');
//   });
// }
// allBtn();
function setAllBtn(){

  $('#all-btn').on('click', function(){
    if($(this).hasClass('allclicked')){//ako e kliknato all
      $('.main-box-card-wrap').hide();
      $('.main-box-card-wrap').addClass('active_card');
      setNormalBtn($('#all-btn'));
      $('#all-btn').removeClass('allclicked');
    }
    else {
      // $('.main-box-card-wrap').show();
      // $('.main-box-card-wrap').removeClass('active_card');
      // $(this).siblings().removeClass('clicked');
      // var others = $(this).siblings();
      // others.each(function(i){
      //   setNormalBtn($(this));
      // });
      // setClickedBtn($('#all-btn'));
      // $('#all-btn').addClass('allclicked');
      resetAllBtn();
    }
  })
}
function resetAllBtn(){
  $('.main-box-card-wrap').show();
  $('.main-box-card-wrap').removeClass('active_card');
  $('#all-btn').siblings().removeClass('clicked');
  var others = $('#all-btn').siblings();
  others.each(function(i){
    setNormalBtn($(this));
  });
  setClickedBtn($('#all-btn'));
  $('#all-btn').addClass('allclicked');
}
function filtersInit(){
  setClickedBtn($('#all-btn'));
  $('#all-btn').addClass('allclicked');

}
function initialisation(){

  filterCategory('energy');
  filterCategory('action');
  filterCategory('team');
  filterCategory('self-leadership');
  filterCategory('innovation');
  filtersInit();

}
initialisation();
setAllBtn();
function filterCategory(category_name){
  $(`#${category_name}-btn`).on('click', function(){
    var ac=$(this).siblings().hasClass('allclicked');
        if (ac) {//dali e cliknato all
          setNormalBtn($('#all-btn'));
          $('#all-btn').removeClass('allclicked');
          $('.main-box-card-wrap').hide();
          $('.main-box-card-wrap').removeClass('active_card');
        }
    if (!$(this).hasClass('clicked')) {
      $(`.${category_name}`).show();
      $('.main-box-card-wrap').filter(`.${category_name}`).addClass('active_card');
      setClickedBtn($(this));
      $(this).addClass('clicked');
    }
    else{
    $(`.${category_name}`).hide();
    $('.main-box-card-wrap').filter(`.${category_name}`).removeClass('active_card');
      setNormalBtn($(this));
      $(this).removeClass('clicked');
      // tuka
      if($('.clicked').length ==0)
        resetAllBtn();
    }
  })
}
});
